package com.platform.controller;

import java.util.List;
import java.util.Map;

import com.platform.annotation.CanUserUpdateRecord;
import com.platform.entity.Result;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.platform.entity.RelatedGoodsEntity;
import com.platform.service.RelatedGoodsService;
import com.platform.utils.PageUtils;
import com.platform.utils.Query;



/**
 * 
 * 
 * @author lipengjun
 * @email 939961241@qq.com
 * @date 2017-08-13 10:41:09
 */
@RestController
@RequestMapping("relatedgoods")
public class RelatedGoodsController {
	@Autowired
	private RelatedGoodsService relatedGoodsService;
	
	/**
	 * 列表
	 */
	@RequestMapping("/list")
	@RequiresPermissions("relatedgoods:list")
	public Result list(@RequestBody Map<String, Object> params){
		//查询列表数据
        Query query = new Query(params);

		List<RelatedGoodsEntity> relatedGoodsList = relatedGoodsService.queryList(query);
		int total = relatedGoodsService.queryTotal(query);
		
		PageUtils pageUtil = new PageUtils(relatedGoodsList, total, query.getLimit(), query.getPage());
		
		return Result.success(pageUtil);
	}
	
	
	/**
	 * 信息
	 */
	@RequestMapping("/info/{id}")
	@RequiresPermissions("relatedgoods:info")
	public Result info(@PathVariable("id") Integer id){
		RelatedGoodsEntity relatedGoods = relatedGoodsService.queryObject(id);
		
		return Result.success(relatedGoods);
	}
	
	/**
	 * 保存
	 */
	@CanUserUpdateRecord
	@RequestMapping("/save")
	@RequiresPermissions("relatedgoods:save")
	public Result save(@RequestBody RelatedGoodsEntity relatedGoods){
		relatedGoodsService.save(relatedGoods);
		
		return Result.success();
	}
	
	/**
	 * 修改
	 */
	@CanUserUpdateRecord
	@RequestMapping("/update")
	@RequiresPermissions("relatedgoods:update")
	public Result update(@RequestBody RelatedGoodsEntity relatedGoods){
		relatedGoodsService.update(relatedGoods);
		
		return Result.success();
	}
	
	/**
	 * 删除
	 */
	@CanUserUpdateRecord
	@RequestMapping("/delete")
	@RequiresPermissions("relatedgoods:delete")
	public Result delete(@RequestBody Integer[] ids){
		relatedGoodsService.deleteBatch(ids);
		
		return Result.success();
	}
	
}
